"""
shotD.py - Medium red bullet by player
"""

import common
import shot
import explosionB

class ShotD(shot.Shot):

    # rect = 2d pos -> width and height will be appended!
    def __init__(self,rect,level=0):
        rect  += [18,28]
        shot.Shot.__init__(self,0,rect)
        self.images = common.images['ShotD']
        self.speed  = 3
        self.level  = level
        self.damage = 15

        common.shots_player.append(self)
        
    def move(self):
        self.rect[1] -= self.speed
        if self.rect[1]+self.rect[3] < -25:
            common.shots_player.remove(self)

    def explode(self):
        explosionB.ExplosionB([self.rect[0],self.rect[1]])
